Image

com.j0h1.contour.admin.shared.domain

## Class Image

- java.lang.Object
- - com.j0h1.contour.admin.shared.domain.Image

- All Implemented Interfaces:
    java.io.Serializable

      public class Image
      extends java.lang.Object
      implements java.io.Serializable

  Image object representation that contains an images meta data to show/list it in the application.
  Author:
    Johannes Riedmann
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `imageId`
    `private boolean` | `inTrack`
    `private int` | `position`
    `private static long` | `serialVersionUID`
    `private java.lang.String` | `titleEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Image()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getImageId()`
    `int` | `getPosition()`
    `java.lang.String` | `getTitleEN()`
    `boolean` | `isInTrack()`
    `void` | `setImageId(int imageId)`
    `void` | `setInTrack(boolean inTrack)`
    `void` | `setPosition(int position)`
    `void` | `setTitleEN(java.lang.String titleEN)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### imageId

          private int imageId

    - #### titleEN

          private java.lang.String titleEN

    - #### inTrack

          private boolean inTrack

    - #### position

          private int position

  - ### Constructor Detail

    - #### Image

          public Image()

  - ### Method Detail

    - #### getImageId

          public int getImageId()

    - #### setImageId

          public void setImageId(int imageId)

    - #### getTitleEN

          public java.lang.String getTitleEN()

    - #### setTitleEN

          public void setTitleEN(java.lang.String titleEN)

    - #### isInTrack

          public boolean isInTrack()

    - #### setInTrack

          public void setInTrack(boolean inTrack)

    - #### getPosition

          public int getPosition()

    - #### setPosition

          public void setPosition(int position)